RedRavenApi reference
Generate reconnaissance probes
Trigger probe generation for a test. Generation fills `metadata.reconnaissance` asynchronously. Poll `GET /api/v1/tests/{test_id}` until status is `completed`.
Trigger probe generation for a test. Generation fills metadata.reconnaissance asynchronously. Poll GET /api/v1/tests/{test_id} until status is completed.
Authorization
ApiKeyAuth OrganizationId X-API-Key<token>
Your RedRaven API key.
In: header
X-Organization-Id<token>
RedRaven organization UUID that scopes the API key.
In: header
Path Parameters
test_id*string
RedRaven test UUID.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/reconnaissance/generate" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "string", "test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded"}Empty